commit: 4a4b610148d1d3643a7dd5207541fc4fbcdbd646
Author: Matthias Maier <tamiko <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 3 02:57:20 2017 +0000
Commit: Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
CommitDate: Fri Feb 3 02:57:20 2017 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=4a4b6101
virtual/lapack: version bump to 3.7
Package-Manager: Portage-2.3.3, Repoman-2.3.1
virtual/lapack/lapack-3.7-r100.ebuild | 43 +++++++++++++++++++++++++++++++++++
1 file changed, 43 insertions(+)
diff --git a/virtual/lapack/lapack-3.7-r100.ebuild
b/virtual/lapack/lapack-3.7-r100.ebuild
new file mode 100644
index 0000000..334bab6
--- /dev/null
+++ b/virtual/lapack/lapack-3.7-r100.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+MULTILIB_COMPAT=( abi_x86_{32,64} )
+
+inherit multilib-build
+
+DESCRIPTION="Virtual for Linear Algebra Package FORTRAN 77 implementation"
+HOMEPAGE=""
+SRC_URI=""
+
+LICENSE=""
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc int64"
+
+RDEPEND="
+ !app-eselect/eselect-lapack
+ || (
+
>=sci-libs/lapack-reference-${PV}-r100[int64?,${MULTILIB_USEDEP}]
+ sci-libs/mkl[int64?,${MULTILIB_USEDEP}]
+ abi_x86_64? ( !abi_x86_32? ( >=sci-libs/atlas-3.9.34[lapack] ) )
+ )
+ int64? (
+ || (
+
>=sci-libs/lapack-reference-${PV}[int64,${MULTILIB_USEDEP}]
+ sci-libs/mkl[int64,${MULTILIB_USEDEP}]
+ )
+ )
+ doc? ( >=app-doc/lapack-docs-3.3 )"
+DEPEND=""
+
+pkg_pretend() {
+ if [[ -e "${EROOT%/}"/usr/$(get_libdir)/lib${PN}.so ]]; then
+ ewarn "You have still the old ${PN} library symlink present"
+ ewarn "Please delete"
+ ewarn "${EROOT%/}/usr/$(get_libdir)/lib${PN}.so"
+ ewarn "to avoid problems with new ${PN} structure"
+ fi
+}